#!/usr/bin/env rexx

::routine openStat public
  use arg slotDir
  scriptContext=slotDir~scriptContext
  URL = "file:openStats.fxml"
  .my.app~stageHandler~newWindow("Statistics", URL)
----------------------------------------------------------------------------------------------------------------------
::routine enlargePicture public
  use arg slotDir
  scriptContext=slotDir~scriptContext -- get the slotDir entry
  URL = "file:enlargePicture.fxml"
  .my.app~stageHandler~newWindow("Picture", URL)
----------------------------------------------------------------------------------------------------------------------
::routine openSt public
  use arg slotDir
  scriptContext=slotDir~scriptContext -- get the slotDir entry
  /*@get(barChart yAxis xAxis)*/
  barChart~getData~clear

  --XYChart = bsf.loadClass("javafx.scene.chart.XYChart")
  XYChartData = bsf.import("javafx.scene.chart.XYChart$Data")
  XYChartSeries = bsf.import("javafx.scene.chart.XYChart$Series")

  dataSeries = XYChartSeries~new
  dataSeries2 = XYChartSeries~new
  dataSeries3 = XYChartSeries~new

  yAxis~setLabel("yAxis")
  xAxis~setLabel("xAxis")

  temp1 = box("String", "July")
  tempfloat1 = box("float", 5)
  dataSeries~getData~add(XYChartData~new(temp1, tempfloat1))
  barChart~getData~add(dataSeries)

  temp2 = box("String", "August")
  tempfloat2 = box("float", 200)
  dataSeries2~getData~add(XYChartData~new(temp2, tempfloat2))
  barChart~getData~add(dataSeries2)

  temp3 = box("String", "September")
  tempfloat3 = box("float", 50)
  dataSeries3~getData~add(XYChartData~new(temp3, tempfloat3))
  barChart~getData~add(dataSeries3)
----------------------------------------------------------------------------------------------------------------------
::REQUIRES "BSF.CLS"
